%
%  Swap F4 and ESC in Control Screens
%
%  Some people like it better if [ESC] gets to the map, not to the
%  race screen. This script swaps [ESC] and [F4] on control screens.
%
%  Usage: simply put `Load "swapf4.q"' in your autoexec.q.
%

Print "[swapf4.q 17/Aug/2001 -- PCC 1.0.14]"

Local v = 0
Try v := System.Version$
If v >= 100014 Then
  % v1.0.14 has an official way to do this...
  Bind ControlScreen "f4" := "UI.GotoScreen 0", "esc" := "UI.GotoScreen 4"
Else
  % ...older versions need magic.
  Bind ControlScreen "f4" := -4, "esc" := 104
EndIf
